Mozilla Thunderbird

poma pomidorabelisima at gmail.com
Wed Apr 30 04:22:02 UTC 2014


# rpm -i thunderbird-24.5.0-1.fc21.x86_64.rpm
error: Failed dependencies:
	libldap60.so()(64bit) is needed by thunderbird-24.5.0-1.fc21.x86_64
	libldif60.so()(64bit) is needed by thunderbird-24.5.0-1.fc21.x86_64
	libprldap60.so()(64bit) is needed by thunderbird-24.5.0-1.fc21.x86_64
	libxul.so(xul24)(64bit) is needed by thunderbird-24.5.0-1.fc21.x86_64

# rpm -qlp thunderbird-24.5.0-1.fc21.x86_64.rpm | grep
'libldap60.so\|libldif60.so\|libprldap60.so\|libxul.so'
/usr/lib64/thunderbird/libldap60.so
/usr/lib64/thunderbird/libldif60.so
/usr/lib64/thunderbird/libprldap60.so
/usr/lib64/thunderbird/libxul.so


Is this so-called recursive installation? :)
Gustavo offered one possible solution!


poma


Ref.

Error: Package: thunderbird-24.4.0-2.fc21.i686 (rawhide) Requires:
libxul.so(xul24)
https://bugzilla.redhat.com/show_bug.cgi?id=1091295

Rebuilding thunderbird from rawhide generates broken dep: Requires:
libxul.so(xul24)(64bit)
https://bugzilla.redhat.com/show_bug.cgi?id=1088001
https://bugzilla.redhat.com/attachment.cgi?id=886622
Reported: 	2014-04-15    <-

- replace unmaintained dependency generator scripts with rpmdeps wrappers
http://pkgs.fedoraproject.org/cgit/rpm.git/commit/?id=7aa67a4



More information about the test mailing list